Enviar SMS
curl --request POST \
--url https://api.ckpnd.com:5001/v1/sms/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Hello! this is a test message",
"mobile_numbers": [
"+57545454564",
"+57423423423",
"+57423423423"
]
}
'import requests
url = "https://api.ckpnd.com:5001/v1/sms/send"
payload = {
"message": "Hello! this is a test message",
"mobile_numbers": ["+57545454564", "+57423423423", "+57423423423"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'Hello! this is a test message',
mobile_numbers: ['+57545454564', '+57423423423', '+57423423423']
})
};
fetch('https://api.ckpnd.com:5001/v1/sms/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "Message sent",
"total_contacts": 3,
"total_messages_sent": 3,
"messages_left": 490
}SMS
Enviar SMS
Envía mensajes SMS a uno o múltiples números de teléfono.
Información importante
- 1 mensaje = 160 caracteres
- Los mensajes más largos se dividen automáticamente
- Los números deben incluir el código de país (ej: +57)
- Se eliminan automáticamente caracteres especiales no admitidos
POST
/
v1
/
sms
/
send
Enviar SMS
Authorizations
Usa tu API Key como Bearer token en el header Authorization.
Ejemplo: Authorization: Bearer YOUR_API_KEY
Obtén tu API Key en la página de Settings.
Body
application/json
Mensaje SMS a enviar (1 mensaje = 160 caracteres, se dividirá automáticamente)
Example:
"Hello! this is a test message"
Array de números de teléfono móvil con código de país
Pattern:
^\+[0-9]{10,15}$Example:
[
"+57545454564",
"+57423423423",
"+57423423423"
]
Response
SMS enviado exitosamente
Example:
"Message sent"
Total de contactos a los que se envió el mensaje
Example:
3
Total de mensajes SMS enviados (considerando división por longitud)
Example:
3
Mensajes restantes en tu cuenta después de este envío
Example:
490

